Draft Point: Difference between revisions

From FreeCAD Documentation
(Draft AddPoint button)
No edit summary
(25 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:16-->
{{Docnav
|[[Draft_BSpline|BSpline]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Module|Draft]]
|IconL=Draft_BSpline.svg
|IconR=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Draft Point
|Name=Draft Point
|MenuLocation=Draft → Point
|MenuLocation=Draft → Point
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Shortcut=P T
|Shortcut={{KEY|P}} {{KEY|T}}
|SeeAlso=[[Draft Line]], [[Draft Wire]]
|Version=0.7
|Version=0.7
|SeeAlso=[[Draft_AddPoint|Draft AddPoint]], [[Draft_Line|Draft Line]], [[Draft_Wire|Draft Wire]]
}}
}}


Line 14: Line 24:


<!--T:3-->
<!--T:3-->
The Point tool creates a simple point in the current [[Draft SelectPlane|work plane]], handy to serve as reference for placing lines, wires, or other objects later. It uses the [[Draft Linestyle]] (only the color) set on the [[Draft Tray]].
The {{Button|[[Image:Draft_Point.svg|16px]] [[Draft_Point|Draft Point]]}} tool creates a simple point in the current [[Draft_SelectPlane|work plane]], handy to serve as reference for placing lines, wires, or other objects later. It uses the [[Draft_Linestyle|Draft Linestyle]] (only the color) set on the [[Draft_Tray|Draft Tray]].


</translate>
<!--T:4-->
[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]
<translate>
<!--T:4-->
{{Caption|A single point placed on the working plane}}


==How to use== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys.
# Press the {{KEY|[[Image:Draft_Point.svg|16px]] [[Draft Point|Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys.
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.


Line 35: Line 48:


<!--T:10-->
<!--T:10-->
* {{PropertyData|X}}: The X coordinate of the point
* {{PropertyData|X}}: the X coordinate of the point.
* {{PropertyData|Y}}: The Y coordinate of the point
* {{PropertyData|Y}}: the Y coordinate of the point.
* {{PropertyData|Z}}: The Z coordinate of the point
* {{PropertyData|Z}}: the Z coordinate of the point.


==Scripting== <!--T:11-->
==Scripting== <!--T:11-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:12-->
<!--T:12-->
The Point tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Point tool can be used in [[macros|macros]] and from the [[Python|]Python] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 50: Line 63:
}}
}}
<translate>
<translate>

<!--T:13-->
<!--T:13-->
* Creates a {{incode|Point}} object in the specified {{incode|X}}, {{incode|Y}} and {{incode|Z}} coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
* Creates a {{incode|Point}} object in the specified {{incode|X}}, {{incode|Y}} and {{incode|Z}} coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
Line 57: Line 71:
* {{incode|point_size}} is the size of the object in pixels, if the graphical user interface is loaded.
* {{incode|point_size}} is the size of the object in pixels, if the graphical user interface is loaded.


<!--T:14-->
<!--T:19-->
Example:
Example:
</translate>
</translate>
{{Code|code=
{{Code|code=
import random, FreeCAD, Draft
import FreeCAD
import Draft


Point1 = Draft.makePoint(1600, 1400, 0)
Point1 = Draft.makePoint(1600, 1400, 0)
Line 67: Line 82:
p2 = FreeCAD.Vector(-3200, 1800, 0)
p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()
}}
<translate>
<!--T:14-->
Example:


<!--T:20-->
centered = FreeCAD.Placement(FreeCAD.Vector(-2000,-2000,0), FreeCAD.Rotation())
This code creates {{incode|N}} random points within a square of side {{incode|2L}}. It makes a loop creating {{incode|N}} points, that may appear anywhere from {{incode|-L}} to {{incode|+L}} on both X and Y; it also chooses a random color and size for each point. Change {{incode|N}} to change the number of points, and change {{incode|L}} to change the area covered by the points.
rect = Draft.makeRectangle(4000, 4000, placement=centered)


</translate>
# Make a loop and create ten points with random coordinates that extend
{{Code|code=
# from -2 m to 2 m on both X and Y. Also choose a random color and size.
import random
for i in range(10):
import FreeCAD
x = 4000*random.random() - 2000
import Draft
y = 4000*random.random() - 2000

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
z = 0
r = random.random()
r = random.random()
Line 82: Line 111:
size = 15*random.random() + 5
size = 15*random.random() + 5
Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)
Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
}}
}}
<translate>

<!--T:15-->
{{Docnav
|[[Draft_BSpline|BSpline]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Module|Draft]]
|IconL=Draft_BSpline.svg
|IconR=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
}}

</translate>
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
{{Draft Tools navi}}
{{Userdocnavi}}
[[Category:Draft]]

Revision as of 15:52, 29 November 2020

Draft Point

Menu location
Draft → Point
Workbenches
Draft, Arch
Default shortcut
P T
Introduced in version
0.7
See also
Draft AddPoint, Draft Line, Draft Wire

Description

The Draft Point tool creates a simple point in the current work plane, handy to serve as reference for placing lines, wires, or other objects later. It uses the Draft Linestyle (only the color) set on the Draft Tray.

A single point placed on the working plane

Usage

  1. Press the Draft Point button, or press P then T keys.
  2. Click a point on the 3D view, or type a coordinate and press the add point button.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the point tool will restart after you place a point, allowing you to place another one without pressing the tool button again.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataX: the X coordinate of the point.
  • DataY: the Y coordinate of the point.
  • DataZ: the Z coordinate of the point.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Point tool can be used in macros and from the [[Python|]Python] console by using the following function:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Creates a Point object in the specified X, Y and Z coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).
    • If X is a point defined by a FreeCAD.Vector, it is used.
  • color is a tuple (R, G, B) that indicates the color of the point in the RGB scale; each value in the tuple should be in the range from 0 to 1.
  • name is the name of the object.
  • point_size is the size of the object in pixels, if the graphical user interface is loaded.

Example:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Example:

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y; it also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()